using System;

namespace upoznavanje
{
    public class upoznavanje
    {

        static void Main(string[] args)
        {
            string l1 = Console.ReadLine();
            string[] l1Parts = l1.Split(new char[] {' '});
            int n = Convert.ToInt32(l1Parts[0]);
            int x = Convert.ToInt32(l1Parts[1]);

            l1 = Console.ReadLine();
            l1Parts = l1.Split(new char[] {' '});

            int levoMax = 0, desnoMax = 0;
            for (int i = 0; i < n; i++)
            {
                int y = Convert.ToInt32(l1Parts[i]);
                int udaljenost = y - x;
                if (udaljenost > 0 && udaljenost > desnoMax)
                {
                    desnoMax = udaljenost;
                }
                else if (udaljenost < 0 && udaljenost < levoMax)
                {
                    levoMax = udaljenost;
                }
            }

            levoMax = Math.Abs(levoMax);

            int put = 2 * Math.Min(levoMax, desnoMax) + Math.Max(levoMax, desnoMax);

            Console.WriteLine(put);
        }
    }
}